Subject: RE: Question concerning configure scripts
From: [email-masked] (Leo Mauro)

17 Jun 1998 07:00:14 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

On Tuesday, June 16, 1998 09:07 AM, Alexander Stockdale wrote:

> I asked this question before, but received no response.  Has anyone 
> else experienced problems with the use of /dev/null in configure 
> scripts?  In particular I find I have problems with gcc -E commands 
> if the STDERR is piped to /dev/null.  I work around it by changing 
> /dev/null to a junk file, which allows me to proceed.  Anyone have 
> any ideas?

I've had no problems with /dev/null in every context I've used it,
including configuration scripts -- it discards all data written and
furnishes an endless number of EOF indications.  It is even visible
using an "ls -l /dev/null".

I'm using Sergei's updated cygwinb19.dll, and never used the
original B19 DLL from Cygnus, so I cannot comment on how it
works in a pristine installation.

A quick grep-scan through the DLL sources revealed a number of
synthetic "/dev" files that are created on the fly when needed (I
could have missed some...):

	/dev/con
	/dev/conin
	/dev/conout
	/dev/dgsocket
	/dev/fd0
	/dev/fd1
	/dev/null
	/dev/ptmx
	/dev/st0
	/dev/st1
	/dev/streamsocket
	/dev/tcp
	/dev/tty
	/dev/udp
	/dev/windows

Would anybody care to document them?  Sergei?  Geoffrey?
Many of them I recognize from various flavors of UNIX (and one
is briefly documented in Sergei's site), but others look like
DOS-specific additions.

I believe this belongs in the FAQ.

Leo Mauro
Principal Scientist
TeleSys Technologies, Inc.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".